#ifndef SIGNATUREBUFFERWIDGET_H
#define SIGNATUREBUFFERWIDGET_H

#include <QtGui/QWidget>
#include "ui_viareawidget.h"

class ViAreaWidget : public QWidget
{
    Q_OBJECT

signals:
	void askParentRepaint(QPaintEvent *event, QWidget *who);
	void notifyParentMouseMove(QMouseEvent* event);

public:
    ViAreaWidget(QWidget *parent = 0);
    ~ViAreaWidget();

    virtual void paintEvent(QPaintEvent * /* event */);
    virtual void mouseMoveEvent(QMouseEvent * event);
    virtual void mousePressEvent(QMouseEvent *event);
    virtual void mouseDoubleClickEvent(QMouseEvent *event);


private:
	Ui::ViAreaWidgetClass ui;
};

#endif // SIGNATUREBUFFERWIDGET_H
